Debian Bug report logs - #598901
gnome-system-monitor: On kfreebsd System Monitor spews "LibGTop-Server: kvm_read (si): Bad address".

version graph

Package: libgtop2-7; Maintainer for libgtop2-7 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libgtop2-7 is src:libgtop2.

Reported by: Michael Dorrington <michael.dorrington@gmail.com>

Date: Sat, 2 Oct 2010 23:27:01 UTC

Severity: normal

Merged with 596142

Found in version libgtop2/2.28.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#598901; Package gnome-system-monitor. (Sat, 02 Oct 2010 23:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Sebastien Bacher <seb128@debian.org>. (Sat, 02 Oct 2010 23:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: submit@bugs.debian.org
Subject: gnome-system-monitor: On kfreebsd System Monitor spews "LibGTop-Server: kvm_read (si): Bad address".
Date: Sun, 03 Oct 2010 00:22:48 +0100
[Message part 1 (text/plain, inline)]
Package: gnome-system-monitor
Version: 2.28.1-1
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-CC: debian-bsd@lists.debian.org

In kfreebsd start the program (capturing stdout and stderr to a file).

$ gnome-system-monitor > gnome-system-monitor.out 2>&1

Click on the Processes tab. System Monitor is now spewing
"LibGTop-Server: kvm_read (si): Bad address" to the output capture file
and lacks responsiveness. End the program.

$ ls -sh gnome-system-monitor.out
26M gnome-system-monitor.out
$ wc -l gnome-system-monitor.out
624431 gnome-system-monitor.out
$ sort gnome-system-monitor.out | uniq -c | sort -nr
 623591 LibGTop-Server: kvm_read (si): Bad address
    411 kvm_open: kvm_getprocs: No such process
     12 LibGTop-Server: kvm_getprocs (18164): No such process
      9 LibGTop-Server: kvm_getprocs (18186): No such process
      9 LibGTop-Server: kvm_getprocs (18185): No such process
      9 LibGTop-Server: kvm_getprocs (18184): No such process
      9 LibGTop-Server: kvm_getprocs (18182): No such process
      9 LibGTop-Server: kvm_getprocs (18179): No such process
      9 LibGTop-Server: kvm_getprocs (18166): No such process
      9 LibGTop-Server: kvm_getprocs (18160): No such process
      9 LibGTop-Server: kvm_getprocs (18067): No such process
      9 LibGTop-Server: kvm_getprocs (18066): No such process
      9 LibGTop-Server: kvm_getprocs (18054): No such process
      9 LibGTop-Server: kvm_getprocs (18053): No such process
      9 LibGTop-Server: kvm_getprocs (18044): No such process
      9 LibGTop-Server: kvm_getprocs (18019): No such process
      9 LibGTop-Server: kvm_getprocs (17972): No such process
      9 LibGTop-Server: kvm_getprocs (17971): No such process
      9 LibGTop-Server: kvm_getprocs (17969): No such process
      9 LibGTop-Server: kvm_getprocs (17968): No such process
      9 LibGTop-Server: kvm_getprocs (17965): No such process
      9 LibGTop-Server: kvm_getprocs (17791): No such process
      9 LibGTop-Server: kvm_getprocs (17790): No such process
      9 LibGTop-Server: kvm_getprocs (17788): No such process
      9 LibGTop-Server: kvm_getprocs (17787): No such process
      9 LibGTop-Server: kvm_getprocs (17785): No such process
      9 LibGTop-Server: kvm_getprocs (17705): No such process
      9 LibGTop-Server: kvm_getprocs (17693): No such process
      9 LibGTop-Server: kvm_getprocs (17692): No such process
      9 LibGTop-Server: kvm_getprocs (17683): No such process
      9 LibGTop-Server: kvm_getprocs (17681): No such process
      9 LibGTop-Server: kvm_getprocs (17670): No such process
      9 LibGTop-Server: kvm_getprocs (17669): No such process
      9 LibGTop-Server: kvm_getprocs (17667): No such process
      9 LibGTop-Server: kvm_getprocs (17664): No such process
      9 LibGTop-Server: kvm_getprocs (17377): No such process
      9 LibGTop-Server: kvm_getprocs (17376): No such process
      9 LibGTop-Server: kvm_getprocs (17367): No such process
      9 LibGTop-Server: kvm_getprocs (17181): No such process
      9 LibGTop-Server: kvm_getprocs (17172): No such process
      9 LibGTop-Server: kvm_getprocs (17070): No such process
      9 LibGTop-Server: kvm_getprocs (17069): No such process
      9 LibGTop-Server: kvm_getprocs (17068): No such process
      9 LibGTop-Server: kvm_getprocs (17066): No such process
      9 LibGTop-Server: kvm_getprocs (17063): No such process
      6 LibGTop-Server: kvm_getprocs (18050): No such process
      6 LibGTop-Server: kvm_getprocs (17689): No such process
      4 LibGTop-Server: kvm_getprocs (17959): No such process
      2 glibtop: geom_stats_open(): Permission denied
      1 LibGTop-Server: kvm_getprocs (18288): No such process
      1 LibGTop-Server: kvm_getprocs (18187): No such process
      1 LibGTop-Server: kvm_getprocs (18056): No such process
      1 LibGTop-Server: kvm_getprocs (17671): No such process
      1 LibGTop-Server: kvm_getprocs (17425): No such process
      1 LibGTop-Server: kvm_getargv (9): Success
      1 LibGTop-Server: kvm_getargv (8): Success
      1 LibGTop-Server: kvm_getargv (7): Success
      1 LibGTop-Server: kvm_getargv (6): Success
      1 LibGTop-Server: kvm_getargv (5): Success
      1 LibGTop-Server: kvm_getargv (310): Success
      1 LibGTop-Server: kvm_getargv (18): Success
      1 LibGTop-Server: kvm_getargv (17): Success
      1 LibGTop-Server: kvm_getargv (16): Success
      1 LibGTop-Server: kvm_getargv (15): Success
      1 LibGTop-Server: kvm_getargv (14): Success
      1 LibGTop-Server: kvm_getargv (13): Success
      1 LibGTop-Server: kvm_getargv (12): Success
      1 LibGTop-Server: kvm_getargv (11): Success
      1 LibGTop-Server: kvm_getargv (10): Success
      1 kvm_open: kvm_nlist: No such file or directory


Note that on my installation of kfreebsd the program doesn't crash
(unlike <http://bugs.debian.org/568404>) and it does display the process
list (unlike <http://bugs.debian.org/596142>).

Regards,
Mike.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-system-monitor depends on:
ii  gconf2                      2.28.1-3     GNOME configuration
database syste
ii  libc0.1                     2.11.2-6     Embedded GNU C Library:
Shared lib
ii  libcairo2                   1.8.10-6     The Cairo 2D vector
graphics libra
ii  libgcc1                     1:4.4.4-8    GCC support library
ii  libgconf2-4                 2.28.1-3     GNOME configuration
database syste
ii  libglib2.0-0                2.24.2-1     The GLib library of C routines
ii  libglibmm-2.4-1c2a          2.24.2-1     C++ wrapper for the GLib
toolkit (
ii  libgtk2.0-0                 2.20.1-1+b1  The GTK+ graphical user
interface
ii  libgtkmm-2.4-1c2a           1:2.20.3-1   C++ wrappers for GTK+
(shared libr
ii  libgtop2-7                  2.28.1-1     gtop system monitoring
library (sh
ii  librsvg2-2                  2.26.3-1     SAX-based renderer library
for SVG
ii  libsigc++-2.0-0c2a          2.2.4.2-1    type-safe Signal Framework
for C++
ii  libstdc++6                  4.4.4-8      The GNU Standard C++ Library v3
ii  libwnck22                   2.30.3-1     Window Navigator
Construction Kit
ii  libxml2                     2.7.7.dfsg-4 GNOME XML library

Versions of packages gnome-system-monitor recommends:
ii  gvfs                       1.6.3-1       userspace virtual
filesystem - ser
ii  libgksu2-0                 2.0.13~pre1-1 library providing su and
sudo func

gnome-system-monitor suggests no packages.

-- no debconf information

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#598901; Package gnome-system-monitor. (Sun, 03 Oct 2010 07:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to 598901@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Sun, 03 Oct 2010 07:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 598901@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 598901@bugs.debian.org
Subject: Re: Bug#598901: gnome-system-monitor: On kfreebsd System Monitor spews "LibGTop-Server: kvm_read (si): Bad address".
Date: Sun, 03 Oct 2010 09:52:02 +0200
[Message part 1 (text/plain, inline)]
reassign 598901 libgtop2-7 2.28.1-1
affects 598901 gnome-system-monitor
thanks

Le dimanche 03 octobre 2010 à 00:22 +0100, Michael Dorrington a écrit : 
> Package: gnome-system-monitor
> Version: 2.28.1-1
> Severity: important
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-CC: debian-bsd@lists.debian.org
> 
> In kfreebsd start the program (capturing stdout and stderr to a file).
> 
> $ gnome-system-monitor > gnome-system-monitor.out 2>&1
> 
> Click on the Processes tab. System Monitor is now spewing
> "LibGTop-Server: kvm_read (si): Bad address" to the output capture file
> and lacks responsiveness. End the program.

In all cases the bug lies in libgtop.

> Note that on my installation of kfreebsd the program doesn't crash
> (unlike <http://bugs.debian.org/568404>) and it does display the process
> list (unlike <http://bugs.debian.org/596142>).

Could it be that either: 
      * you have a different kernel version? 
      * you have something else installed that should be a dependency
        for libgtop on kfreebsd?

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'gnome-system-monitor' to 'libgtop2-7'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 03 Oct 2010 07:57:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gnome-system-monitor/2.28.1-1. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 03 Oct 2010 07:57:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libgtop2/2.28.1-1. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 03 Oct 2010 07:57:10 GMT) Full text and rfc822 format available.

Added indication that 598901 affects gnome-system-monitor Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 03 Oct 2010 07:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#598901; Package libgtop2-7. (Mon, 04 Oct 2010 00:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Mon, 04 Oct 2010 00:21:09 GMT) Full text and rfc822 format available.

Message #23 received at 598901@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 598901@bugs.debian.org
Subject: Re: Bug#598901: gnome-system-monitor: On kfreebsd System Monitor spews "LibGTop-Server: kvm_read (si): Bad address".
Date: Mon, 04 Oct 2010 01:17:52 +0100
[Message part 1 (text/plain, inline)]
Josselin Mouette wrote:
[snip]
>> In kfreebsd start the program (capturing stdout and stderr to a file).
>>
>> $ gnome-system-monitor > gnome-system-monitor.out 2>&1
>>
>> Click on the Processes tab. System Monitor is now spewing
>> "LibGTop-Server: kvm_read (si): Bad address" to the output capture file
>> and lacks responsiveness. End the program.
> 
> In all cases the bug lies in libgtop.
> 
>> Note that on my installation of kfreebsd the program doesn't crash
>> (unlike <http://bugs.debian.org/568404>) and it does display the process
>> list (unlike <http://bugs.debian.org/596142>).
> 
> Could it be that either: 
>       * you have a different kernel version? 
>       * you have something else installed that should be a dependency
>         for libgtop on kfreebsd?

The system was up to date at time of testing and was using the 8.1 (the
default) kfreebsd kernel.
I've tried the 8.0 kernel and its is the same. But the 7.3 kernel
doesn't suffer the issue with the Processes tab and the processes are
displayed. So its looks kernel specific. For the 7.3 kernel there is a
problem with the Resources tab. On selecting the Resources tab the tab
is never display but there is lots of "LibGTop-Server: kvm_read
(ifnetaddr): Bad address".

$ gnome-system-monitor > gnome-system-monitor-kfreebsd7.3.out 2>&1
Killed
$ sort gnome-system-monitor-kfreebsd7.3.out | uniq -c | sort -nr
1919312 LibGTop-Server: kvm_read (ifnetaddr): Bad address
     13 glibtop: geom_stats_open(): Permission denied
      1 LibGTop-Server: kvm_read (ifnetaddr)
      1 LibGTop-Server: kvm_getargv (9): Success
      1 LibGTop-Server: kvm_getargv (8): Success
      1 LibGTop-Server: kvm_getargv (7): Success
[snip]

Cheers,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#598901; Package libgtop2-7. (Fri, 29 Oct 2010 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Fri, 29 Oct 2010 19:54:03 GMT) Full text and rfc822 format available.

Message #28 received at 598901@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 598901@bugs.debian.org
Subject: Re: Bug#598901: gnome-system-monitor: On kfreebsd System Monitor spews "LibGTop-Server: kvm_read (si): Bad address".
Date: Fri, 29 Oct 2010 20:50:29 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256


Michael Dorrington wrote:
> Josselin Mouette wrote:
> [snip]
>>> In kfreebsd start the program (capturing stdout and stderr to a file).
>>>
>>> $ gnome-system-monitor > gnome-system-monitor.out 2>&1
>>>
>>> Click on the Processes tab. System Monitor is now spewing
>>> "LibGTop-Server: kvm_read (si): Bad address" to the output capture file
>>> and lacks responsiveness. End the program.
>> In all cases the bug lies in libgtop.
>>
>>> Note that on my installation of kfreebsd the program doesn't crash
>>> (unlike <http://bugs.debian.org/568404>) and it does display the process
>>> list (unlike <http://bugs.debian.org/596142>).
>> Could it be that either: 
>>       * you have a different kernel version? 
>>       * you have something else installed that should be a dependency
>>         for libgtop on kfreebsd?
> 
> The system was up to date at time of testing and was using the 8.1 (the
> default) kfreebsd kernel.
> I've tried the 8.0 kernel and its is the same. But the 7.3 kernel
> doesn't suffer the issue with the Processes tab and the processes are
> displayed. So its looks kernel specific. For the 7.3 kernel there is a
> problem with the Resources tab. On selecting the Resources tab the tab
> is never display but there is lots of "LibGTop-Server: kvm_read
> (ifnetaddr): Bad address".
> 
> $ gnome-system-monitor > gnome-system-monitor-kfreebsd7.3.out 2>&1
> Killed
> $ sort gnome-system-monitor-kfreebsd7.3.out | uniq -c | sort -nr
> 1919312 LibGTop-Server: kvm_read (ifnetaddr): Bad address
>      13 glibtop: geom_stats_open(): Permission denied
>       1 LibGTop-Server: kvm_read (ifnetaddr)
>       1 LibGTop-Server: kvm_getargv (9): Success
>       1 LibGTop-Server: kvm_getargv (8): Success
>       1 LibGTop-Server: kvm_getargv (7): Success
> [snip]

Now both the 7.3 and 8.1 kernel show the same behaviour for the
Processes tab, they don't show any processes. The version of libgtop2-7
has not changed.

$ dpkg-query --show libgtop2-7
libgtop2-7      2.28.1-1
$ gnome-system-monitor
kvm_open: kvm_nlist: No such file or directory
LibGTop-Server: sysctl (kern.proc.all): Cannot allocate memory
LibGTop-Server: sysctl (kern.proc.all): Cannot allocate memory
LibGTop-Server: sysctl (kern.proc.all): Cannot allocate memory
LibGTop-Server: sysctl (kern.proc.all): Cannot allocate memory
LibGTop-Server: sysctl (kern.proc.all): Cannot allocate memory
[prints "LibGTop-Server: sysctl (kern.proc.all): Cannot allocate memory"
line every second or so]

So it now looks like that reported in <http://bugs.debian.org/596142>.

Regards,
Mike.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iQIcBAEBCAAGBQJMyyWEAAoJENdybD6q+OPvOo0P/1fzeizFweIC9DAj/q5haOeU
Vwtc3wGZvx2NErMJRvPxHYcm6wmmUk5GAbaA18rLYUTu0XCIHtDyOQVU0j1VFD5q
8RezwLp3yxJJvxjmkWIhAQbq+5DmxodFwLkXRhz8MMjZNbcQB8xaH/QLY2tE9MTA
43kcWMk9uOp+Ppgd6FE3TuVj+pxCYR/4kGnWiCIbET+8xasyqZlf7Jo2cZZmrd1o
W1jPpHzDcJg7/mfrqZlqbdyIb2T0Y1TCPiiBS/oLGwrzdar19LInCtwNixaOU26j
gri0ZUaLFzh8Dn8rs1ey+uxkskGqzqlaE9k1Om0HQPsfoHP9UH1ei3yg7as4xu2O
Pt1VHDXYZ12kLh8WAsoIAk9aEtJcXApLZ60qHeKHzMNDr1sfxDobpKPL7PytNlqG
6qcJ+X0LreGgyrvwVtKuSYfhuCHJY3530BG/c73ZNLoIF1bdUCC7TWJWs95MB0ZV
aczmZZ6rIedkagNOt1EVDg82nnrv6MDRp9Sn+VxCF/19Coxsim/SS2jZRVxruZg3
tzOnBBtVG8qFqIEvwy8kKt0rvMbVxk/GIO2fEEYSIRGbA204HCi7Ixlcdgx2vzdo
Lf5Bg8h0rswQgDh1BEdBVHjRPvKFYIN+0rjGLnXZC0rY/SjT4HiY3lyY47d6SlOd
gfhKU3NTwz7oHpDTR8ou
=IYmz
-----END PGP SIGNATURE-----




Forcibly Merged 596142 598901. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Fri, 29 Oct 2010 20:48:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:52:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.